$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.19.0-311.0.dev/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.19.0-311.0.dev/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = 'b3eb49a4b38a2d10a689cf22325d19393fdae61211b7da183311f660b5aba9c9'
  checksumType   = 'sha256'
  checksum64     = '6a71981b976ba4126ed6f3159de906374f890e02fed92e6115371e74d3e00586'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
